//// *********************************** ////
//// State of California master template ////
////             Version 1.10            ////
////    Last Updated January 4, 2007     ////
//// *********************************** ////

departmentOnload = function() { // Just a placeholder. This will be redefined in department.js
}

initNavigation = function() {

  if (document.getElementById) { // Does the browser support the getElementById method?
    navRoot = document.getElementById("nav_list"); // Get main list ul

    if (typeof defaultMainList!="undefined")
      var reMainNav = new RegExp("^" + defaultMainList + "<", "i"); // Regex for finding the index of the default main list item

    for (i=0; i<navRoot.childNodes.length; i++) { // Loop over main list items
      node = navRoot.childNodes[i];
      if (node.nodeName == "LI") {
        if ((typeof defaultMainList!="undefined") && node.firstChild.innerHTML.match(reMainNav)) { // Found default main nav item
          defaultMainListIndex = i;
        } else {

          ////// Apply onmouseover and onmouseout event handlers to each main list item //////
          node.onmouseover = function() {
            if (defaultMainListIndex != -1) // Is there a default main list item?
              navRoot.childNodes[defaultMainListIndex].className = "nav_default_off"; // De-activate it
            this.className = "mouse_over"; // Activate the hovered item
          }
          node.onmouseout = function() {
            this.className = ""; // De-activate the hovered item
            if (defaultMainListIndex != -1) // Is there a default main list item?
              navRoot.childNodes[defaultMainListIndex].className = "nav_default_on"; // Activate it
          }
        }
      }
    }

    ////// Activate the default main list item //////
    if (defaultMainListIndex != -1)
      navRoot.childNodes[defaultMainListIndex].className = "nav_default_on";
  }
}

startList = function() {
  initNavigation();
  departmentOnload();  // Call departmentOnload, defined in department.js
}

var defaultMainListIndex = -1; // Integer, index of the default main list item

window.onload=startList; // Set the page onload event handler
